import { IModuleServer, ModuleParams } from "@erp/core";

export const authAPIModule: IModuleServer = {
  metadata: {
    name: "auth",
    version: "1.0.0",
    dependencies: [],
  },
  init(params: ModuleParams) {
    // const contacts = getService<ContactsService>("contacts");
    const { logger } = params;
    //invoicesRouter(params);
    logger.info({ message: "🚀 Auth module initialized", label: "invoices" });
  },
  registerDependencies(params: ModuleParams) {
    const { database, logger } = params;
    logger.info({ message: "🚀 Auth module dependencies registered", label: "invoices" });
    return {
      //models,
      services: {
        /*...*/
      },
    };
  },
};
